Package org.apache.felix.atomos.maven.index

## Class AtomosIndexMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.atomos.maven.index.AtomosIndexMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

    @Mojo(name="atomos-index",
          defaultPhase=PROCESS_RESOURCES,
          requiresDependencyCollection=COMPILE_PLUS_RUNTIME,
          requiresDependencyResolution=COMPILE_PLUS_RUNTIME)
    public class AtomosIndexMojo
    extends org.apache.maven.plugin.AbstractMojo

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
`AtomosIndexMojo()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute()`
`static boolean` `isJarFile​(org.apache.maven.artifact.Artifact a)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtomosIndexMojo

    public AtomosIndexMojo()

### Method Detail

#### isJarFile

    public static boolean isJarFile​(org.apache.maven.artifact.Artifact a)

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`